.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: block;

    &__input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;

        &:checked + .checkbox__label {

            &:before {

            }

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }

        &:indeterminate + .checkbox__label {

            &:before {
                border-color: var(--blue);
                background: var(--blue);
            }

            &:after {
                top: 7px;
                width: 10px;
                height: 2px;
                background: white;
                opacity: 1;
                visibility: visible;
            }
        }

        &:disabled + .checkbox__label {
            opacity: 0.6;
            cursor: default;
        }
    }

    &__label {
        cursor: pointer;
        color: var(--black);
        min-height: 20px;
        font-size: 16px;
        line-height: 20px;
        position: relative;
        display: inline-block;
        padding: 0 0 0 35px;

        &:before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 20px;
            height: 20px;
            position: absolute;
            background: white;
            border: 1px solid #E5E5E5;
        }

        &:after {
            top: 5px;
            left: 5px;
            z-index: 5;
            content: '';
            width: 10px;
            height: 10px;
            position: absolute;
            opacity: 0;
            visibility: hidden;
            background: rgba(102, 102, 102, 0.54);
        }

        &:hover {
        }
    }
}
